- Main Page
- Namespaces
- Data Structures
- Files

- Search for |

- Data Structures
- Data Fields

# joy_parameters Struct Reference

Struct for joystick things. More...

`#include <Datas.h>`

## Data Fields
bool | doX
| TRUE: use jostick X-axis, FALSE: use keyboard.
bool | doY
| TRUE: use jostick Y-axis, FALSE: use keyboard.
bool | doZ
| TRUE: use jostick Z-axis, FALSE: use keyboard.
bool | doR
| TRUE: use jostick R-axis, FALSE: use keyboard.
float | dirX
| change X axis direction: -1.0f
float | dirY
| change Y axis direction: -1.0f
float | dirZ
| change Z axis direction: -1.0f
float | dirR
| change R axis direction: -1.0f

## Detailed Description

Struct for joystick things.

Variables from MATLAB (or default) to indicate how to use the joystick (if any)

Definition at line 306 of file Datas.h.

## Field Documentation

float joy_parameters::dirR

change R axis direction: -1.0f

Definition at line 316 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

float joy_parameters::dirX

change X axis direction: -1.0f

Definition at line 313 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

float joy_parameters::dirY

change Y axis direction: -1.0f

Definition at line 314 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

float joy_parameters::dirZ

change Z axis direction: -1.0f

Definition at line 315 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

bool joy_parameters::doR

TRUE: use jostick R-axis, FALSE: use keyboard.

Definition at line 311 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

bool joy_parameters::doX

TRUE: use jostick X-axis, FALSE: use keyboard.

Definition at line 308 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

bool joy_parameters::doY

TRUE: use jostick Y-axis, FALSE: use keyboard.

Definition at line 309 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

bool joy_parameters::doZ

TRUE: use jostick Z-axis, FALSE: use keyboard.

Definition at line 310 of file Datas.h.

Referenced by copy_to_arg(), initJoyParameters(), pass_joy_parameters(), and print_arguments_values().

The documentation for this struct was generated from the following file:

- HydroSDL/hydro_source/Datas.h